package gov.va.vinci.dart.db;

import gov.va.vinci.dart.biz.RequestSummary;
import gov.va.vinci.dart.db.impl.RequestSummaryBuilderForIrma;
import gov.va.vinci.dart.db.util.CallableStatementDAO;

import java.sql.CallableStatement;
import java.sql.ResultSet;
import java.sql.SQLException;

public class AllRequestsByIrmaDAO extends CallableStatementDAO<RequestSummary> {
	
	RequestSummaryBuilderForIrma builder = new RequestSummaryBuilderForIrma();
	
	public AllRequestsByIrmaDAO() {
	}
	
	public String getQueryText() {
		return "execute [ws].[GetDARTDashboardRequestsByIrma]";
	}
	
	public void populateParameters(final CallableStatement cstmt) throws SQLException {
	}
	
	public RequestSummary buildResult(final ResultSet rs) throws SQLException {
        
        return builder.build(rs);
	}
}
